SUSE Container Update Advisory: bci/python
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2023:3434-1
Container Tags        : bci/python:3 , bci/python:3-16.4 , bci/python:3.10 , bci/python:3.10-16.4
Container Release     : 16.4
Severity              : important
Type                  : security
References            : 1173407 1214806 1215888 1215889 CVE-2023-38545 CVE-2023-38546
                        CVE-2023-4641 
-----------------------------------------------------------------

The container bci/python was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2020:1906-1
Released:    Tue Jul 14 15:58:16 2020
Summary:     Recommended update for lifecycle-data-sle-module-development-tools
Type:        recommended
Severity:    moderate
References:  1173407
This update for lifecycle-data-sle-module-development-tools fixes the following issue:

- Ensure package is installed with its corresponding module when lifecycle package is installed. (bsc#1173407)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2020:3603-1
Released:    Wed Dec  2 15:11:46 2020
Summary:     Recommended update for lifecycle-data-sle-module-development-tools
Type:        recommended
Severity:    moderate
References:  
This update for lifecycle-data-sle-module-development-tools fixes the following issues:

- Added expiration data for the GCC 9 yearly update for the Toolchain/Development modules.  
  (jsc#ECO-2373, jsc#SLE-10950, jsc#SLE-10951)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2021:2245-1
Released:    Mon Jul  5 12:14:52 2021
Summary:     Recommended update for lifecycle-data-sle-module-development-tools
Type:        recommended
Severity:    moderate
References:  
This update for lifecycle-data-sle-module-development-tools fixes the following issues:

- mark go1.14 as 'end of life' as go1.16 was released and we only support 2 go versions parallel (jsc#ECO-1484)

-----------------------------------------------------------------
Advisory ID: SUSE-feature-2022:950-1
Released:    Fri Mar 25 12:47:04 2022
Summary:     Feature update for lifecycle-data-sle-module-development-tools
Type:        feature
Severity:    moderate
References:  
This feature update for lifecycle-data-sle-module-development-tools fixes the following issues:

- Added expiration data for GCC 10 yearly update for the Toolchain/Development modules
  (jsc#ECO-2373, jsc#SLE-16821, jsc#SLE-16822)

-----------------------------------------------------------------
Advisory ID: SUSE-feature-2023:2523-1
Released:    Fri Jun 16 11:15:25 2023
Summary:     Feature update for lifecycle-data-sle-module-development-tools
Type:        feature
Severity:    moderate
References:  
This update for lifecycle-data-sle-module-development-tools fixes the following issues:

- Added expiration data for GCC 11 yearly update for the Toolchain/Development modules
  (jsc#SLE-25046, jsc#SLE-25045, jsc#SLE-25044, jsc#PED-2030, jsc#PED-2033, jsc#PED-2035)

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:4024-1
Released:    Tue Oct 10 13:24:40 2023
Summary:     Security update for shadow
Type:        security
Severity:    low
References:  1214806,CVE-2023-4641
This update for shadow fixes the following issues:

- CVE-2023-4641: Fixed potential password leak (bsc#1214806).

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2023:4044-1
Released:    Wed Oct 11 09:01:14 2023
Summary:     Security update for curl
Type:        security
Severity:    important
References:  1215888,1215889,CVE-2023-38545,CVE-2023-38546
This update for curl fixes the following issues:

- CVE-2023-38545: Fixed a heap buffer overflow in SOCKS5. (bsc#1215888)
- CVE-2023-38546: Fixed a cookie injection with none file. (bsc#1215889)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:4073-1
Released:    Fri Oct 13 11:40:26 2023
Summary:     Recommended update for rpm
Type:        recommended
Severity:    low
References:  
This update for rpm fixes the following issue:

- Enables build for all python modules (jsc#PED-68, jsc#PED-1988)

-----------------------------------------------------------------
Advisory ID: SUSE-RU-2023:4086-1
Released:    Mon Oct 16 12:48:13 2023
Summary:     Recommended update for python310
Type:        recommended
Severity:    moderate
References:  
This update for python310 fixes the following issues:

- Python documentation uses deprecated Sphinx index entries
  (https://github.com/python/cpython/issues/97950)


The following package changes have been done:

- login_defs-4.8.1-150400.10.12.1 updated
- libcurl4-8.0.1-150400.5.32.1 updated
- rpm-ndb-4.14.3-150400.59.3.1 updated
- shadow-4.8.1-150400.10.12.1 updated
- curl-8.0.1-150400.5.32.1 updated
- lifecycle-data-sle-module-development-tools-1-150200.3.16.1 added
- libpython3_10-1_0-3.10.13-150400.4.36.1 updated
- python310-base-3.10.13-150400.4.36.1 updated
- python310-3.10.13-150400.4.36.1 updated
- python310-devel-3.10.13-150400.4.36.1 updated
- container:sles15-image-15.0.0-27.14.107 updated

SUSE: 2023:3434-1 bci/python Security Update

October 17, 2023
The container bci/python was updated

Summary

Advisory ID: SUSE-RU-2020:1906-1 Released: Tue Jul 14 15:58:16 2020 Summary: Recommended update for lifecycle-data-sle-module-development-tools Type: recommended Severity: moderate Advisory ID: SUSE-RU-2020:3603-1 Released: Wed Dec 2 15:11:46 2020 Summary: Recommended update for lifecycle-data-sle-module-development-tools Type: recommended Severity: moderate Advisory ID: SUSE-RU-2021:2245-1 Released: Mon Jul 5 12:14:52 2021 Summary: Recommended update for lifecycle-data-sle-module-development-tools Type: recommended Severity: moderate Advisory ID: SUSE-feature-2022:950-1 Released: Fri Mar 25 12:47:04 2022 Summary: Feature update for lifecycle-data-sle-module-development-tools Type: feature Severity: moderate Advisory ID: SUSE-feature-2023:2523-1 Released: Fri Jun 16 11:15:25 2023 Summary: Feature update for lifecycle-data-sle-module-development-tools Type: feature Severity: moderate Advisory ID: SUSE-SU-2023:4024-1 Released: Tue Oct 10 13:24:40 2023 Summary: Security update for shadow Type: security Severity: low Advisory ID: SUSE-SU-2023:4044-1 Released: Wed Oct 11 09:01:14 2023 Summary: Security update for curl Type: security Severity: important Advisory ID: SUSE-RU-2023:4073-1 Released: Fri Oct 13 11:40:26 2023 Summary: Recommended update for rpm Type: recommended Severity: low Advisory ID: SUSE-RU-2023:4086-1 Released: Mon Oct 16 12:48:13 2023 Summary: Recommended update for python310 Type: recommended Severity: moderate

References

References : 1173407 1214806 1215888 1215889 CVE-2023-38545 CVE-2023-38546

CVE-2023-4641

1173407

This update for lifecycle-data-sle-module-development-tools fixes the following issue:

- Ensure package is installed with its corresponding module when lifecycle package is installed. (bsc#1173407)

This update for lifecycle-data-sle-module-development-tools fixes the following issues:

- Added expiration data for the GCC 9 yearly update for the Toolchain/Development modules.

(jsc#ECO-2373, jsc#SLE-10950, jsc#SLE-10951)

This update for lifecycle-data-sle-module-development-tools fixes the following issues:

- mark go1.14 as 'end of life' as go1.16 was released and we only support 2 go versions parallel (jsc#ECO-1484)

This feature update for lifecycle-data-sle-module-development-tools fixes the following issues:

- Added expiration data for GCC 10 yearly update for the Toolchain/Development modules

(jsc#ECO-2373, jsc#SLE-16821, jsc#SLE-16822)

This update for lifecycle-data-sle-module-development-tools fixes the following issues:

- Added expiration data for GCC 11 yearly update for the Toolchain/Development modules

(jsc#SLE-25046, jsc#SLE-25045, jsc#SLE-25044, jsc#PED-2030, jsc#PED-2033, jsc#PED-2035)

1214806,CVE-2023-4641

This update for shadow fixes the following issues:

- CVE-2023-4641: Fixed potential password leak (bsc#1214806).

1215888,1215889,CVE-2023-38545,CVE-2023-38546

This update for curl fixes the following issues:

- CVE-2023-38545: Fixed a heap buffer overflow in SOCKS5. (bsc#1215888)

- CVE-2023-38546: Fixed a cookie injection with none file. (bsc#1215889)

This update for rpm fixes the following issue:

- Enables build for all python modules (jsc#PED-68, jsc#PED-1988)

This update for python310 fixes the following issues:

- Python documentation uses deprecated Sphinx index entries

(https://github.com/python/cpython/issues/97950)

The following package changes have been done:

- login_defs-4.8.1-150400.10.12.1 updated

- libcurl4-8.0.1-150400.5.32.1 updated

- rpm-ndb-4.14.3-150400.59.3.1 updated

- shadow-4.8.1-150400.10.12.1 updated

- curl-8.0.1-150400.5.32.1 updated

- lifecycle-data-sle-module-development-tools-1-150200.3.16.1 added

- libpython3_10-1_0-3.10.13-150400.4.36.1 updated

- python310-base-3.10.13-150400.4.36.1 updated

- python310-3.10.13-150400.4.36.1 updated

- python310-devel-3.10.13-150400.4.36.1 updated

- container:sles15-image-15.0.0-27.14.107 updated

Severity
Container Advisory ID : SUSE-CU-2023:3434-1
Container Tags : bci/python:3 , bci/python:3-16.4 , bci/python:3.10 , bci/python:3.10-16.4
Container Release : 16.4
Severity : important
Type : security

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo